### Virtual Method

# Gio ProxyResolver lookup_finish

since: 2.26

#### Declaration

    gchar**
    lookup_finish (
      GProxyResolver* resolver,
      GAsyncResult* result,
      GError** error
    )

#### Description

Call this function to obtain the array of proxy URIs when `g_proxy_resolver_lookup_async()` is complete. See `g_proxy_resolver_lookup()` for more details.

Available since: 2.26

#### Parameters

`result`

  Type: `GAsyncResult`

  The result passed to your `GAsyncReadyCallback`.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `utf8`

A NULL-terminated array of proxy URIs. Must be freed with g_strfreev().

The array is `NULL`-terminated.
The caller of the function takes ownership of the data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.